﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Data;
using Telerik.Windows.Controls.GridView;

namespace RadGridView_SL4_AR_1
{
	public partial class MainPage : UserControl
	{
		int clickedTimes = 0;

		public MainPage()
		{
			InitializeComponent();

			this.AddHandler(GridViewCell.MouseLeftButtonUpEvent, new MouseButtonEventHandler(OnMouseLeftButtonDown), true);
			this.clubsGrid.SelectionChanged += new EventHandler<SelectionChangeEventArgs>(clubsGrid_SelectionChanged);
			this.clubsGrid.SelectionChanging+=new EventHandler<SelectionChangingEventArgs>(clubsGrid_SelectionChanging);
		}

		void clubsGrid_SelectionChanged(object sender, SelectionChangeEventArgs e)
		{
			
		}

		private object itemToSelect;

		void clubsGrid_SelectionChanging(object sender, SelectionChangingEventArgs e)
		{
			if (e.AddedItems.Count > 0)
			{
				itemToSelect = e.AddedItems[0];
			}
		}

		private void OnMouseLeftButtonDown(object sender, MouseButtonEventArgs e)
		{
			var senderElement = (FrameworkElement)e.OriginalSource;
			var clickedRow = senderElement.ParentOfType<GridViewRow>();

			if (clickedRow != null && this.itemToSelect == null)
			{
				this.clubsGrid.SelectedItems.Clear();				
			}

			itemToSelect = null;
		}
	}
}
